# Class ContextTransaction

java.lang.Object
org.apache.tomcat.util.descriptor.web.ContextTransaction

All Implemented Interfaces:
  `Serializable`

public class ContextTransaction extends Object implements Serializable
Representation of an application resource reference, as represented in an `<res-env-ref>` element in the deployment descriptor.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContextTransaction()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProperty(String name)`
`Iterator<String>`
`listProperties()`
List properties.
`void`
`removeProperty(String name)`
Remove a configured property.
`void`
`setProperty(String name, Object value)`
Set a configured property.
`String`
`toString()`
Return a String representation of this object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContextTransaction

public ContextTransaction()

## Method Details

### getProperty

public Object getProperty(String name)

Parameters:
  `name` - The property name
Returns:
  a configured property.

### setProperty

public void setProperty(String name, Object value)
Set a configured property.

Parameters:
  `name` - The property name
  `value` - The property value

### removeProperty

public void removeProperty(String name)
Remove a configured property.

Parameters:
  `name` - The property name

### listProperties

public Iterator<String> listProperties()
List properties.

Returns:
  the property names iterator

### toString

public String toString()
Return a String representation of this object.

Overrides:
  `toString` in class `Object`